createUser
Creates a new User. When creating a new User, the required tags must be provided. See the specific integration for more details.
POST
/v1/chat/usersAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Request body
User data
tagsobjectTags for the User
integrationName?stringdeprecated[DEPRECATED] To create a User from within a bot, call an action of the integration instead.(max length: 200)
name?stringName of the user(max length: 200)
pictureUrl?stringURI of the user picture(max length: 40000)
properties?object**EXPERIMENTAL** - Optional shared properties that can be accessed and modified by both the bot and any of its integrations.
attributes?objectdeprecatedDEPRECATED - Use properties instead.
Response
Returns a User object if creation succeeds. Returns an Error otherwise
userobjectThe user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.